package com.platform.modules.live.service;

import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.PageUtils;
import com.platform.modules.live.entity.LiveStreamRecordTaskEntity;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author TONG
 * @email ${email}
 * @date 2019-03-15 19:45:22
 */
public interface LiveStreamRecordTaskService extends IService<LiveStreamRecordTaskEntity> {

    PageUtils queryPage(Map<String, Object> params);

    LiveStreamRecordTaskEntity selectByVideoId(String videoId);

    List<LiveStreamRecordTaskEntity> selectUnOkTasks(String domainName, String appName, String streamName);

    List<LiveStreamRecordTaskEntity> selectUnOkTasks(String domainName, String appName);
}

